﻿using System;
using System.Windows.Forms;
using Airplayne.Tools;
using Airplayne.Interface.Util;

namespace Airplayne.Interface.Dialogs
{
  public partial class LogWindow : Form
  {
    public LogWindow()
    {
      UIUtils.SetFont(this);
      InitializeComponent();
    }

    private void LogView_Load(object sender, EventArgs e)
    {
      logBox.Text = Logger.GetLogContents();
      logBox.Select(0, 0);
    }

    private void LogView_KeyUp(object sender, KeyEventArgs e)
    {
      if (e.KeyCode == Keys.Escape)
        Close();
    }
  }
}
