﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Airplayne.Playback;
using System.Windows.Forms;
using Airplayne.Model;

namespace Airplayne.Interface.Controls
{
  public class VolumeLabel : BarLabel
  {
    public VolumeLabel()
      : base()
    {
      Style = Styles.Triangle;
      Total = 100;
      Empty = false;
      SetValueOnDrag = true;
    }

    public void ShowVolume(int volume)
    {
      Value = volume;
      Text = string.Format("{0}%", volume);
      Invalidate();
    }
  }
}
